<%@ Page Language="C#" AutoEventWireup="true" CodeFile="HierarchyInCode.aspx.cs"
    Inherits="HierarchyInCode" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="sfwg" %>
<%@ Register Assembly="Syncfusion.Shared.Web"
    Namespace="Syncfusion.Web.UI.WebControls.Shared" TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base"
    Namespace="Syncfusion.Styles" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Grid.Windows"
    Namespace="Syncfusion.Windows.Forms.Grid" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grouping.Base"
    Namespace="Syncfusion.Grouping" TagPrefix="cc3" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Essential Grid HierarchyInCode Demo</title>

    <script runat="server">
        private void ToggleCallback(object sender, EventArgs e)
        {
            this.GridGroupingControl1.EnableCallbacks = !this.GridGroupingControl1.EnableCallbacks;
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <h4>
            Essential Grid HierarchyInCode Sample</h4>
        <hr />
        <br />
        <asp:ScriptManager ID="ScriptManager1" runat="server" />

        <script type="text/javascript">
                Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequestHandler);
                Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
                function BeginRequestHandler(sender, args)
                {
                    Popup.ShowPopup();                    
                }
                function EndRequestHandler(sender, args)
                {
                     Popup.HidePopup();     
                }
        </script>

        <asp:CheckBox ID="CheckBox1" runat="server" Checked="true" AutoPostBack="true" Text="Enable ASP.NET AJAX Callback" />
        <br /> <table id="GridTable">
                    <tr>
                        <td>
        <asp:UpdatePanel ID="GridPanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
               
                            <sfwg:GridGroupingControl EnableCallbacks="false" ID="GridGroupingControl1" runat="server" 
                                OnRecordExpanded="GridGroupingControl1_RecordExpanded" BorderCollapse="Separate"
                                ClientObjectId="" CssClass="GridGreen" DeprecateFunctionalityToRunInPartialTrust="False"
                                GroupDropAreaCssClass="GridGreenGroupDropArea" AutoFormat="Green">
                                <Appearance>
                                    <AnyRecordFieldCell CssClass="GridGreenAnyRecord"></AnyRecordFieldCell>
                                    <RecordPreviewCell CssClass="GridGreenRecordPreview"></RecordPreviewCell>
                                    <GroupIndentCell CssClass="GridGreenGroupIndentCell"></GroupIndentCell>
                                    <GroupCaptionCell CssClass="GridGreenGroupCaption"></GroupCaptionCell>
                                    <AnySummaryCell CssClass="GridGreenAnySummary"></AnySummaryCell>
                                    <GroupCaptionPlusMinusCell CssClass="GridGreenPlusMinus"></GroupCaptionPlusMinusCell>
                                    <TopLeftHeaderCell CssClass="GridGreenTopLeftHeaderCell"></TopLeftHeaderCell>
                                    <AlternateRecordFieldCell CssClass="GridGreenAlternateRecord"></AlternateRecordFieldCell>
                                    <RowHeaderCell CssClass="GridGreenRowHeaders"></RowHeaderCell>
                                    <ColumnHeaderCell CssClass="GridGreenColumnHeaders"></ColumnHeaderCell>
                                </Appearance>
                                <TableDescriptor AllowNew="False">
                                </TableDescriptor>
                            </sfwg:GridGroupingControl>
                              
                       
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="CheckBox1" />
            </Triggers>
        </asp:UpdatePanel>
                            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                            
        <sfwg:GridGroupingControl EnableCallbacks="false" ID="GridGroupingControl2" runat="server" Visible="false"></sfwg:GridGroupingControl>
        </ContentTemplate>
        </asp:UpdatePanel>
         </td>
                    </tr>
                </table>
        <ssw:WaitingPopup DisableOnShowElementID="GridTable" ID="WaitingPopup1"
            ClientObjectId="Popup" runat="server" Alignment="MiddleCentre" AutoFormat="BlueDots"
            Height="50px" Width="125px" DisabledBackgroundColor="221, 227, 238">
        </ssw:WaitingPopup>
       
    </form>
</body>
</html>

